// SendIcmpDlg.cpp : t@C
//

#include "stdafx.h"
#include "WinWol.h"
#include "SendIcmpDlg.h"
#include "afxdialogex.h"
#include "GlobalFunc.h"
#include "WinWolDlg.h"

// CSendIcmpDlg _CAO

IMPLEMENT_DYNAMIC(CSendIcmpDlg, CDialog)

CSendIcmpDlg::CSendIcmpDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSendIcmpDlg::IDD, pParent)
	, m_Host(_T(""))
	, m_Status(_T(""))
{
	m_pParent = pParent;
}

CSendIcmpDlg::~CSendIcmpDlg()
{
}

BOOL	CSendIcmpDlg::SendIcmpPacket(LPCTSTR szHost)
{
	CString			msg;
	BOOL			ret = TRUE;	

	if (!szHost || !(*szHost)) {
		msg.LoadString(IDS_STRING_SET_HOST_OR_IPADDR);
		MessageBox(msg);
		return FALSE;
	}
	CString	status;
	CWinWolDlg	*pParent = (CWinWolDlg*)m_pParent;

	if ((ret = pParent->SendIcmpPacket(szHost))) {
		status.Format("Host %s is alive.", szHost);
	} else {
		status.Format("Host %s is not alive.", szHost);
	}
	SetStatus(status);

	return ret;
}

void CSendIcmpDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_HOST_NAME, m_Host);
	DDX_Text(pDX, IDC_EDIT_MAC_ADDR, m_Status);
}


BEGIN_MESSAGE_MAP(CSendIcmpDlg, CDialog)
	ON_BN_CLICKED(IDC_BUTTON_SEND, &CSendIcmpDlg::OnBnClickedButtonSend)
END_MESSAGE_MAP()


// CSendIcmpDlg bZ[W nh[


BOOL CSendIcmpDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// TODO:  ɏǉĂ
	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	// O : OCX vpeB y[W͕K FALSE Ԃ܂B
}


void CSendIcmpDlg::OnOK()
{
	// TODO: ɓȃR[hǉ邩A͊{NXĂяoĂB

	CDialog::OnOK();
}


void CSendIcmpDlg::OnCancel()
{
	// TODO: ɓȃR[hǉ邩A͊{NXĂяoĂB

	CDialog::OnCancel();
}


void CSendIcmpDlg::OnBnClickedButtonSend()
{
	// TODO: ɃRg[ʒmnh[ R[hǉ܂B
	UpdateData(TRUE);

	SendIcmpPacket((LPCTSTR)m_Host);

	UpdateData(FALSE);
}
