#pragma once
#include "afxcmn.h"


// CHostEditDlg _CAO

class CHostEditDlg : public CDialog
{
	DECLARE_DYNAMIC(CHostEditDlg)

public:
	CHostEditDlg(CWnd* pParent = NULL);   // WRXgN^[
	virtual ~CHostEditDlg();

	CString	&GetHostName() { return m_EdtHostName; }
	CString	&GetComment() { return m_EdtComment; }
	CString	&GetMacAddr() { return m_EdtMacAddr; }
	CString	&GetIpAddr() { return m_IpAddr; }
	CString	&GetNetMask() { return m_NetMask; }

	void	SetHostName(LPCTSTR lpHostName) { m_EdtHostName = lpHostName; }
	void	SetComment(LPCTSTR lpComment) { m_EdtComment = lpComment; }
	void	SetMacAddr(LPCTSTR lpMacAddr) { m_EdtMacAddr = lpMacAddr; }
	void	SetIpAddr(LPCTSTR lpIpAddr) { m_IpAddr = lpIpAddr; }
	void	SetNetMask(LPCTSTR lpNetMask) { m_NetMask = lpNetMask; }
	void	SetTimeOut(UINT TimeOut) { m_TimeOut = TimeOut; }

// _CAO f[^
	enum { IDD = IDD_DIALOG_HOST_EDIT };

	CString		m_IpAddr;
	CString		m_NetMask;
	UINT		m_TimeOut;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g

	DECLARE_MESSAGE_MAP()
public:
	CString	m_EdtComment;
	CString m_EdtHostName;
	CString m_EdtMacAddr;
	CIPAddressCtrl m_CtlIpAddr;
	CIPAddressCtrl m_CtlNetMask;

	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnBnClickedButtonSrchIp();
	afx_msg void OnBnClickedButtonArp();
	afx_msg void OnIpnFieldchangedIpaddressIpaddr(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedButtonSrchHostname();
};
